post
https://api-uat.azupay.com.au/v1/paymentRequest/refund
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
For detailed information on how to use this API and specific merchant use cases for this API, please refer to this API reference guides documentation: PaymentRequestAPI
Error Codes
| Code | Status | Reason | What to do |
|---|---|---|---|
| ERR0.03 | 400 | Refunds can only be done on COMPLETE, RETURN_COMPLETE or RETURN_FAILED payments | Check the status of the refund. Note that RETURN_IN_PROGRESS refunds can not have a second refund completed against them, and a second attempt should be delayed by several seconds until the initial refund has reached a terminal status. |
| ERR0.05 | 400 | Missing ID | Supply the paymentRequestID. |
| ERR0.06 | 400 | Refund amount value must be a number | Supply a decimal value for the refund. |
| ERR0.07 | 400 | Refunds cannot be done against PaymentRequest's with multiPayment set to true | Ensure the refund is against a non multi-payment paymentRequest. If attempting to target a child transaction of a multipayment, ensure you use the child payment's paymentRequestID |
| ERR0.08 | 400 | Refunds can only be done on COMPLETE, RETURN_COMPLETE or RETURN_FAILED payments | Check the status of the refund. Note that RETURN_IN_PROGRESS refunds can not have a second refund completed against them, and a second attempt should be delayed by several seconds until the initial refund has reached a terminal status. |
| ERR0.09 | 400 | Refund for this client can only be for the full amount | Refund the full amount if a refund is required. |
| ERR0.10 | 400 | Refund amount must be less than or equal to original payment amount | Ensure the refund amount does not exceed the balance available on the transaction to process the refund. |
| ERR0.11 | 400 | Insufficient balance in the settlement account | Ensure your float account has available balance to process the refund. |
| ERR0.12 | 400 | Client Refund ID must be between 5 and 100 characters. | Supply a refund ID that is between the specified length. |
| 404 | Payment Request not found. | Confirm the PaymentRequest exists. |
